/**
 * Copyright (c) 2024-2025 National Fundamental Software of China Co., Ltd.
 * 
 * You should have find a copy of NFSChina License. If not, please contact us 
 * by email <os_support@nfschina.com>  
 * 
**/
// include/nfssdk_desktop.h
#ifndef NFSSDK_DESKTOP_H
#define NFSSDK_DESKTOP_H

#ifdef __cplusplus
extern "C" {
#endif

/**
 * 发送桌面通知。
 *
 * @param[in] summary 通知的标题，不能为空。
 * @param[in] body 通知的内容，不能为空。
 * @param[in] icon_path 通知的图标路径（可以为 NULL）。
 * @return 成功返回 0，失败返回 -1。
 * @note 如果 `summary` 或 `body` 为空，则函数将返回 -1。
 */
int send_desktop_notification(const char *summary, const char *body, const char *icon_path);

/**
 * 清除所有桌面通知。
 *
 * @note 此函数会清除当前显示的所有桌面通知。
 */
void clear_desktop_notifications(void);

#ifdef __cplusplus
}
#endif

#endif // NFSSDK_DESKTOP_H